rem ----------------------------------------------------------------------------
rem --- Setup the trigger command as "ftpput.bat >> ftplog.txt" in Surround SCM
rem --- so that you have a log of all the FTP transfers which makes it easier
rem --- to troubleshoot errors. 
rem ---
rem --- Make sure to set the Surround SCM username, password, IP and port and
rem --- also set the FTP username, password and server address. Use anonymous 
rem --- example if login is not required.
rem --- 
rem --- Contact support@seapine.com for for questions or to contribute to this
rem --- script.
rem ---
rem --- Authored by Patrick Burma pat@seapine.com on May 15th, 2006
rem --- Contributors:
rem --- Yan Shapochnik May 15th, 2006
rem ---
rem ---
rem ---
rem ----------------------------------------------------------------------------

rem ----------------------------------------------------------------------------
rem --- perform SCM get, you must set a working directory server side for this 
rem --- to work 
rem ----------------------------------------------------------------------------
sscm get %SSCM_FILE% -p"%SSCM_REPSOITORY%"-b"%SSCM_BRANCH%" -yadministrator:admin -zlocalhost:4900

rem ----------------------------------------------------------------------------
rem --- build ftp commands into a text file, watch out for white space on login name
rem ----------------------------------------------------------------------------
echo username> C:\filelist.txt
echo password>> C:\filelist.txt
echo send "C:/%SSCM_REPOSITORY%/%SSCM_FILE%" "/%SSCM_REPOSITORY%/%SSCM_FILE%" >> C:\filelist.txt
echo bye >> C:\filelist.txt

rem ----------------------------------------------------------------------------
rem --- execute FTP commands from text file
rem ----------------------------------------------------------------------------
ftp -i -s:C:\filelist.txt ftp.myserver.com


rem ----------------------------------------------------------------------------
rem --- Anonymous server authentication example
rem ----------------------------------------------------------------------------
rem sscm get %SSCM_FILE% -p"%SSCM_REPSOITORY%"-b"%SSCM_BRANCH%" -yadministrator:admin -zlocalhost:4900
rem echo send "C:/%SSCM_REPOSITORY%/%SSCM_FILE%" "/%SSCM_REPOSITORY%/%SSCM_FILE%" > C:\filelist.txt
rem echo bye >> C:\filelist.txt
rem ftp -A -i -s:C:\filelist.txt ftp.seapine.com
rem ----------------------------------------------------------------------------